ch.qos.logback.core.net

## Interface SocketConnector.ExceptionHandler

All Known Implementing Classes:
  AbstractSocketAppender, AbstractSSLSocketAppender, SocketAppender, SocketReceiver, SSLSocketAppender, SSLSocketReceiver

Enclosing interface:
  SocketConnector

    public static interface SocketConnector.ExceptionHandler

An exception handler that is notified of all exceptions that occur during the (re)connection process.

### Method Summary

Methods
`void` `connectionFailed(SocketConnector connector, java.lang.Exception ex)`

### Method Detail

#### connectionFailed

    void connectionFailed(SocketConnector connector,
                        java.lang.Exception ex)